# Златен курсор (Golden Cursor) #

* Автори: Salah Atair, Joseph Lee
* Изтегляне на [стабилна версия][1]
* Съвместимост с NVDA: от 2022.4 и по-нови версии

Тази добавка ви позволява да местите курсора на мишката посредством
клавиатурата и да запазвате позиции на мишката за конкретни приложения.

## Клавишни комбинации

* Control+NVDA+L: Преглед на запазените позиции на мишката за приложение,
  ако има такива. Можете също така да зададете жестове към тези позиции от
  този диалогов прозорец. При задействане на зададения жест ще се извърши
  щракване с ляв бутон върху запазената позиция.
* Shift+NVDA+l: Запазване на маркер или етикет за текущата позиция на
  мишката в приложението, което е фокусирано в момента.
* Windows+NVDA+C: Промяна на режима за движение на мишката.
* Windows+NVDA+R: Превключване на ограничаването на мишката.
* Windows+NVDA+S: Превключване на докладването на позицията на мишката в
  пиксели.
* Windows+NVDA+J: Преместване на мишката до определена позиция по
  хоризонтала и вертикала (x и y).
* Windows+NVDA+P: Докладване на позицията на мишката.
* Windows+NVDA+M: Включване или изключване на стрелките за мишката.
* Windows+NVDA+клавишите със стрелките (или само стрелките, ако стрелките за
  мишка са включени): Преместване на мишката.

Забележка: Тези жестове могат да бъдат променяни от диалоговия прозорец
"Жестове на въвеждане" (в категорията "Златен Курсор") в менюто "Настройки"
на NVDA.

## Забележки

* При споделяне на запаметени позиции (маркери) всяка от страните трябва да
  използва една и съща разделителна способност на дисплея.
* С цел максимална съвместимост, трябва да увеличите прозорците като
  натиснете Windows+стрелка нагоре.
* При споделяне на позиции съществуващите етикети за позиции трябва да бъдат
  променяни.
* Форматите за позициониране на мишката във версии 1.x и 2.x са
  несъвместими.
* За да изпълнявате функции, изискващи използването на клавишите със
  стрелки, първо изключете стрелките за мишката.
* При изтриване на запаметени позиции, ако няма останали запаметени позиции,
  позициите за приложението ще бъдат изчистени.

## Версия 6.2

* Изисква се NVDA 2022.4 или по-нова версия.
* Добавката е съвместима с NVDA 2023.1.

## Версия 6.1

* Изисква се NVDA 2021.3 или по-нова версия.
* Сега можете да зададете команди за запазени позиции от списъка с
  позиции. При задействане на команда ще се извърши щракване с ляв бутон
  върху позицията.

## Версия 5.0

* Модернизиран е изходния код на добавката, за да е съвместим с NVDA 2021.1.
* Решени са много проблеми със стила на кодиране и потенциални грешки с
  Flake8.

## Версия 4.0

* Изисква се NVDA 2019.3 или по-нова версия.
* Диалоговият прозорец за настройки на "Златен курсор" е заменен от панела
  за настройки на "Златен курсор".

## Версия 3.3

* Вътрешни промени с цел поддържане на бъдещи издания на NVDA.

## Версия 3.2

* Добавката е съвместима с NVDA 2018.3 (wxPython 4).

## Версия 3.0

* Ако използвате NVDA 2018.2, настройките на добавката ще се намират в новия
  прозорец с категориите от настройки на NVDA, в категорията "Златен
  Курсор".

## Версия 2.1

* Отстранена е грешка с дешифрирането на уникод, възникваща при опит за
  изтриване на име на маркер.
* Предотвратяване на отварянето на множество копия на различни диалогови
  прозорци на добавката.
* Подобрен е изгледът на диалоговите прозорци за списъка с позиции на
  мишката и за преместване до позиции.

## Версия 2.0

* Изисква NVDA 2017.3 или по-нова.
* Файловият формат за позициите е несъвместим с версии 1.x. Ако бъдат
  открити позиционни формати от типа 1.x, старите позиции ще бъдат пригодени
  към новия формат по време на инсталирането.
* Добавен е нов диалогов прозорец за настройките на Златен Курсор в менюто
  "Настройки" на NVDA, с цел конфигуриране на режима за движение на мишката
  и за докладване позицията на мишката при нейното придвижване.
* Разни съобщения на тази добавка бяха променени.
* Когато превключвате различни настройки, тонът за превключване няма повече
  да се чува.
* Сега можете да влезете в режим "стрелки за мишката", при което можете да
  местите мишката само с помощта на клавишите със стрелките.
* Направени са промени в диалоговия прозорец за списъка с позициите,
  включително ново име (сега се казва "Позиции на мишката") и оформление,
  показващо координатите на мишката за даден етикет и показващо името на
  активното приложение като част от заглавието.
* От диалоговия прозорец "Позиции на мишката" натискането на ENTER върху
  запазен етикет ще премести мишката до запазеното място.
* При преименуване на позиция на мишката ще се покаже диалогов прозорец за
  грешка, ако съществува етикет със същото име като новото име.
* При изтриване или изчистване на позиции на мишката вече трябва да
  отговорите с "Да", преди позициите да бъдат изтрити и/или изчистени.
* Промени във функцията за преместване на мишката, включително ново име
  (сега наречена "Нова позиция на мишката") и възможност за въвеждане на
  координатите за хоризонтала и вертикала (X и Y) поотделно или чрез
  използване на клавишите със стрелки за нагоре или надолу.
* Диалоговият прозорец, извеждан при запазването на текущата позиция на
  мишката, показва координатите за текущото местоположение на мишката.
* Разрешен е проблем, при който при записване на позиции NVDA може да
  възпроизвежда сигнали за грешка, ако папката за позициите не съществува.

## Версия 1.4

* Премахната е зависимостта от win32api с цел съвместимост с предишни и
  бъдещи версии на NVDA.

## Версия 1.0

* Първо издание.

[[!tag stable dev]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=goldenCursor
