# Golden Cursor #

* Автор: salah atair, Joseph Lee
* Завантажити [стабільну версію][1]
* Сумісність з NVDA: 2022.4 і вище

Цей додаток дозволяє переміщати мишу за допомогою клавіатури та зберігати
позиції миші для програм.

## Комбінації клавіш

* Control+NVDA+L: переглянути збережені позиції миші для програми, якщо такі
  є. Ви також можете призначити жести на ці позиції у цьому діалозі. При
  натисканні призначеного жесту буде виконано клацання лівою кнопкою миші на
  збережену позицію.
* Shift+NVDA+l: зберегти тег або мітку для поточної позиції миші в поточній
  програмі у фокусі.
* Windows+NVDA+C: змінити одиницю руху миші.
* Windows+NVDA+R: перемкнути обмеження миші.
* Windows+NVDA+S: перемкнути оголошення про позицію миші в пікселях.
* Windows+NVDA+J: переміщення миші в певну позицію x та y.
* Windows+NVDA+P: повідомити про позицію миші.
* Windows+NVDA+M: увімкнути або вимкнути стрілки миші.
* Windows+NVDA+стрілки (або просто стрілки, якщо увімкнено стрілки миші):
  переміщення миші.

Примітка: ці жести можуть бути перепризначені через діалог NVDA «Жести
вводу» в категорії «Golden Cursor».

## Примітки

* Під час спільного використання позицій (тегів) кожна сторона повинна
  використовувати однакову роздільну здатність дисплея.
* Для максимальної сумісності вам варто розгорнути вікно, натиснувши
  Windows+стрілка вгору.
* Під час спільного використання позицій наявні мітки позицій варто
  перейменувати.
* Формати положення миші версій 1.x та 2.x несумісні.
* Щоб виконувати функції, які потребують використання клавіш зі стрілками,
  спочатку вимкніть стрілки миші.
* При видаленні збережених позицій, якщо не залишилося збережених позицій,
  позиції програми будуть очищені.

## Версія 6.2

* Вимагає версію NVDA 2022.4 або пізнішу.
* Сумісний з NVDA 2023.1

## Версія 6.1

* Вимагає версію NVDA 2021.3 або новішу.
* Тепер ви можете призначити комбінації клавіш для збережених позицій зі
  списку позицій. Після натискання комбінації клавіш, для позиції буде
  виконано ліве клацання.

## Версія 5.0

* Код додатка осучаснено, щоб зробити його сумісним з NVDA 2021.1.
* Виправлено проблеми зі стилем кодування та потенційні помилки за допомогою
  Flake8.

## Версія 4.0

* Вимагає NVDA 2019.3 або новішу.
* Діалог налаштувань Golden Cursor замінено панеллю налаштувань Golden
  Cursor.

## Версія 3.3

* Внутрішні зміни для підтримки майбутніх релізів NVDA.

## Версія 3.2

* Додаток сумісний з NVDA 2018.3 (wxPython 4).

## Версія 3.0

* Якщо використовується NVDA 2018.2, параметри додатка можна буде знайти на
  новому багатокатегорійному екрані налаштувань у категорії Golden Cursor.

## Версія 2.1

* Виправлено помилку декодування Unicode під час спроби видалити назву тега.
* Запобігає запуску кількох копій у разі відкриття різних діалогів додатка.
* Поліпшено вигляд списку позицій миші та діалогів переходу до позиції.

## Версія 2.0

* Вимагає NVDA 2017.3 чи новішу.
* Формат файлу позиції несумісний з версіями 1.x. В разі виявлення позиції в
  форматі 1.x, старі позиції буде перенесено в новий формат після
  встановлення.
* Додано новий діалог налаштувань Golden Cursor в меню «Параметри» NVDA для
  налаштування одиниці руху миші та сповіщення позицій миші під час її руху.
* Змінено різні повідомлення цього додатка.
* Перемикаючись між різними налаштуваннями, ви більше не чутимете сигналу
  перемикання.
* Тепер ви можете ввійти в режим стрілок миші, в якому можете переміщати
  мишу, натискаючи лише стрілки.
* Зміни в діалозі списку позицій, включаючи нову назву (тепер вона
  називається Позиції миші) і макет, який відображає координати миші для
  мітки й показує назви активної програми як частину заголовка.
* Натискання Enter на збереженій мітці з діалогу позицій миші переміщає мишу
  до збереженого розташування.
* При перейменуванні позиції миші буде показано діалог з помилкою, якщо
  існує мітка з таким самим ім’ям, як нове ім’я.
* При видаленні чи очищенні позицій, тепер ви мусите відповісти «Так» перед
  тим, як позиції буде видалено або очищено.
* Зміни у функції переходу миші, включаючи нову назву (тепер вона називаєтся
  Нова позиція миші) і можливість вводити координати X і Y окремо чи за
  допомогою стрілок вгору/вниз.
* Діалог, показаний під час збереження поточної позиції миші, тепер показує
  координати для поточного розташування миші.
* Вирішено проблему, коли при збереженні позицій NVDA відтворювала сигнал
  помилки, якщо папки з позиціями не існує.

## Версія 1.4

* Видалено залежність win32api, щоб зробити його сумісним з минулими й
  майбутніми версіями NVDA.

## Версія 1.0

* Перша версія.

[[!tag stable dev]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=goldenCursor
